dnl $Id: config.m4,v 1.7 2004/09/01 10:48:00 makler Exp $
dnl config.m4 for extension esmtp

PHP_ARG_WITH(esmtp, for esmtp support,
[  --with-esmtp[=DIR]       Include esmtp support (requires esmtp>=1.0).])

if test "$PHP_ESMTP" != "no"; then

  ESMTP_CONFIG="libesmtp-config"
  
  for i in $PHP_ESMTP /usr/local /usr; do
    if test -r $i/bin/libesmtp-config; then
      ESMTP_CONFIG=$i/bin/libesmtp-config
    fi
  done

  ESMTP_INCS=`$ESMTP_CONFIG --cflags`
  ESMTP_LIBS=`$ESMTP_CONFIG --libs`

  if  test -n "$ESMTP_INCS" && test -n "$ESMTP_LIBS"; then
    PHP_EVAL_INCLINE([$ESMTP_INCS])
    PHP_EVAL_LIBLINE($ESMTP_LIBS, ESMTP_SHARED_LIBADD)

    if echo "$ESMTP_INCS" | grep -- '-pthread' > /dev/null; then
      CFLAGS="$CFLAGS -pthreads"
    fi
    if echo "$ESMTP_LIBS" | grep -- '-pthread' > /dev/null; then
      ESMTP_SHARED_LIBADD="$ESMTP_SHARED_LIBADD -lpthread"
    fi

    php_version=`$PHP_CONFIG --version 2>/dev/null|head -n 1|sed -e 's/^[^0-9]*//' -e 's/[a-z]* *$//'`
    if test -z "$php_version"; then
      echo "Error: php/php-config not found."
      exit 1
    fi
    IFS=.; set $php_version; IFS=' '
    if test "$1" = "4"; then
        PHP_NEW_EXTENSION(esmtp, esmtp-php4.c, $ext_shared)
    else
      if test "$1" = "5"; then
        PHP_NEW_EXTENSION(esmtp, esmtp.c, $ext_shared)
      else
        echo "Error: php version $php_version is unsupported."
	exit 1
      fi
    fi

    PHP_SUBST(ESMTP_SHARED_LIBADD)
    AC_DEFINE(HAVE_LIBESMTP, 1, [ ])
  else
    AC_MSG_ERROR([Could not find libesmtp-config. Please check your esmtp installation.])
  fi
fi

